Summary: C/C++ Cross Compiler Toolchain
Name: gcc-cross
Version: 1.0
Release: 7
# libgcc, libgfortran, libmudflap, libgomp, libstdc++ and crtstuff have
# GCC Runtime Exception.
License: GPLv3+ and GPLv3+ with exceptions and GPLv2+ with exceptions and LGPLv2+ and BSD
URL: http://gcc.gnu.org

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: binutils
BuildRequires: gcc, gcc-c++, make, git, flex, bison, rpm-build, automake, autoconf
BuildRequires: libtool, ncurses-devel, bc, zlib-devel, openssl-devel, texinfo, rsync, chrpath
#ExclusiveArch: i386 x86-64

%description
C/C++ Cross Compiler Toolchain

%prep
mkdir -p %{_builddir}/%{name}-%{version}
cd %{_builddir}/%{name}-%{version}
cp -r %{_sourcedir}/* ./

%build
cd %{_builddir}/%{name}-%{version}
files=$(ls *.tar 2> /dev/null | wc -l)
if [ "$files" != 0 ]; then
	ls *.tar | xargs -n1 tar xvf
fi
bash download.sh
bash build.sh gcc_arm64le &
bash build.sh gcc_arm32le
wait

%install
mkdir -p %{buildroot}/tmp
cp %{_builddir}/output/gcc_arm64le/gcc_arm64le.tar.gz %{buildroot}/tmp
cp %{_builddir}/output/gcc_arm32le/gcc_arm32le.tar.gz %{buildroot}/tmp

%files
%attr(755, root, root) /tmp/gcc_arm64le.tar.gz
%attr(755, root, root) /tmp/gcc_arm32le.tar.gz

%changelog
* Thu Nov 30 2023 zhengchenhui <zhengchenhui1@huawei.com> - 1.0-7
-Type:Fix
-ID:NA
-SUG:NA
-DESC: Fix the compilation problem caused by the missing code segment of crtbeginS.o

* Thu Nov 30 2023 zhengchenhui <zhengchenhui1@huawei.com> - 1.0-6
-Type:Fix
-ID:NA
-SUG:NA
-DESC: Fix cross-compilation tool chain to openEuler-22.03-LTS-SP3

* Tue Apr 25 2023 dingguangya <dingguangya1@huawei.com> - 1.0-5
-Type:Fix
-ID:NA
-SUG:NA
-DESC: Fix isl copy to SOURCES

* Sun Apr 23 2023 dingguangya <dingguangya1@huawei.com> - 1.0-4
-Type:Fix
-ID:NA
-SUG:NA
-DESC: Update cross-compilation tool chain to openEuler-22.03-LTS-Next

* Mon Nov 28 2022 dingguangya <dingguangya1@huawei.com> - 1.0-3
-Type:Fix
-ID:NA
-SUG:NA
-DESC: Fix the hard coding problem in the software package building process

* Thu Nov 17 2022 dingguangya <dingguangya1@huawei.com> - 1.0-2
-Type:Fix
-ID:NA
-SUG:NA
-DESC: Unified changelog/Release field format

* Tue Nov 8 2022 dingguangya <dingguangya1@huawei.com> - 1.0-1
- Type:Fix
- ID:NA
- SUG:NA
- DESC: Increase parallel compilation capability

* Wed Mar 23 2022 dingguangya <dingguangya1@huawei.com> - 1.0-0 
- Type:Init
- ID:NA
- SUG:NA
- DESC: Init gcc-cross repository
